package com.css.txw.gxzx.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.css.ggzc.framework.common.util.gy.GyUtils;
import com.css.txw.gxzx.pojo.domain.TxwGxzxRzsqjlbDO;
import com.css.txw.gxzx.pojo.vo.QyrzListReqVO;

/**
* @author AirlH
* @description 针对表【txw_gxzx_rzsqjlb(入驻申请记录表)】的数据库操作Mapper
* @createDate 2025-09-12 15:55:04
* @Entity com.css.txw.gxzx.pojo.domain.TxwGxzxRzsqjlb
*/
public interface TxwGxzxRzsqjlbMapper extends BaseMapper<TxwGxzxRzsqjlbDO> {

    default List<TxwGxzxRzsqjlbDO> qyrzList(QyrzListReqVO reqVO){
        QueryWrapper<TxwGxzxRzsqjlbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .like(!GyUtils.isNull(reqVO.getNsrsbh()),TxwGxzxRzsqjlbDO::getNsrsbh,reqVO.getNsrsbh())
                .like(!GyUtils.isNull(reqVO.getQymc()),TxwGxzxRzsqjlbDO::getQymc,reqVO.getQymc())
//                .isNull(TxwGxzxRzsqjlbDO::getShjg1)
                .eq(!GyUtils.isNull(reqVO.getShjg1()), TxwGxzxRzsqjlbDO::getShjg1, reqVO.getShjg1())
                .ge(!GyUtils.isNull(reqVO.getSqsjq()), TxwGxzxRzsqjlbDO::getLrrq, reqVO.getSqsjq())
                .le(!GyUtils.isNull(reqVO.getSqsjz()), TxwGxzxRzsqjlbDO::getLrrq, reqVO.getSqsjz())
                .orderByDesc(TxwGxzxRzsqjlbDO::getLrrq);
        return selectList(wrapper);
    }

    default List<TxwGxzxRzsqjlbDO> currentQyrzList(String yhuuid){
        QueryWrapper<TxwGxzxRzsqjlbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(TxwGxzxRzsqjlbDO::getLrruuid,yhuuid)
                .orderByDesc(TxwGxzxRzsqjlbDO::getLrrq);
        return selectList(wrapper);
    }
}




